# Uses of Enum Class
org.eclipse.e4.ui.model.internal.Position

Packages that use Position
Package
Description
org.eclipse.e4.ui.model.internal

## Uses of Position in org.eclipse.e4.ui.model.internal

Subclasses with type arguments of type Position in org.eclipse.e4.ui.model.internal
Modifier and Type
Class
Description
`enum`
`Position`
All the possible positioning values which can be used to contribute elements into the wanted place of a list.
Methods in org.eclipse.e4.ui.model.internal that return Position
Modifier and Type
Method
Description
`static final Position`
Position.`find(String positionInfo)`
Find the `Position` enum value used in the given positioning string.
`Position`
PositionInfo.`getPosition()`
Returns the kind/type of positioning which should be used.
`static Position`
Position.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Position[]`
Position.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.eclipse.e4.ui.model.internal with parameters of type Position
Modifier
Constructor
Description
``
`PositionInfo(Position position, String positionReference)`
Creates an instance of the PositionInfo.